Installation de gem ou mise à jour RubyGems : comment éviter l'erreur FilePermissionError ?

Si vous essayez d'installer ou de mettre à jour RubyGems sur votre Mac, vous rencontrerez le message d'erreur suivant :
You don't have write permissions for the /Library/Ruby/Gems/2.0.0 directory
Cette erreur se produit, car ce répertoire ne peut pas être modifié par l'utilisateur : il s'agit de la version de Ruby utilisée par Apple pour le système. Il existe des solutions pour contourner ce problème.

La première solution consiste à utiliser d'autres logiciels. Rbenv et RVM sont deux logiciels permettant de gérer des installations séparées de Ruby. Ces installations étant encapsulées dans des compartiments, elles ne gênent pas la version de Ruby installée par le système. On peut ainsi modifier librement Ruby sans problème de permission. Ces deux logiciels sont disponibles via leur site internet respectif : https://github.com/sstephenson/rbenv/ et https://rvm.io/rvm/install/.

La deuxième solution consiste à passer outre l'interdiction de modification du répertoire. Cette solution est très risquée, car elle peut endommager le système. Pour pouvoir modifier la version de Ruby installée sur le système, vous pouvez utiliser la commande "sudo", qui vous donnera les droits administrateur et donc la possibilité d'écrire dans le répertoire :
sudo gem update --system

Divers